Subject: [alpine-devel] [PATCH] testing/mate-panel: new aport

From: Alan Lacerda <[email-masked]>
Date: Mon, 15 Dec 2014 14:51:06 +0000

---
 testing/mate-panel/APKBUILD | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 testing/mate-panel/APKBUILD

diff --git a/testing/mate-panel/APKBUILD b/testing/mate-panel/APKBUILD
new file mode 100644
index 0000000..d6d477c
--- /dev/null
+++ b/testing/mate-panel/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Alan Lacerda <[email-masked]>
+# Maintainer:
+pkgname=mate-panel
+pkgver=1.9.3
+pkgrel=0
+pkgdesc="The MATE panel is the area on your desktop from which you can run applications"
+url="https://github.com/mate-desktop/mate-panel"
+arch="all"
+license="GPL2"
+depends="mate-common mate-desktop"
+depends_dev=""
+makedepends="$depends_dev librsvg-dev libmateweather-dev autoconf automake libtool
+	intltool glib-dev gtk-doc yelp-tools gobject-introspection-dev libice-dev
+	libsm-dev libcanberra-dev dbus-glib-dev mate-menus-dev dconf-dev libwnck-dev
+	libsoup-dev itstool"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+	find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="56b7118003c1991850a14d2a37afb8cc  mate-panel-1.9.3.tar.xz"
+sha256sums="b08f09f14f596a73683e971c82cf6210e60c24ebfb57ab886a323bf4a4135b47  mate-panel-1.9.3.tar.xz"
+sha512sums="c2e1a9b2f05280c031e373cd9ae1f8a3005dc6d133012b674c8d6cbf4b53695d60f47458e7d70bad872406bcfccaa9410009ad3ee2033cc6fb7ea6be5ef7ef03  mate-panel-1.9.3.tar.xz"
-- 
2.1.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---